/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomHTMLEmbedElement_H___INT_
#define __GdomHTMLEmbedElement_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomHTMLElement.h"
#include "GDOMObject.h"
#include "HTMLEmbedElement.h"
G_BEGIN_DECLS
class GDOMHTMLEmbedElement : public GDOMHTMLElement {
    typedef GDOMHTMLElement Base;
public:
    int get_gobj_type() { return GDOM_TYPE_HTML_EMBED_ELEMENT; }
    GDOMHTMLEmbedElement(PassRefPtr<WebCore::HTMLEmbedElement> impl);
};
G_END_DECLS

#endif /* __GdomHTMLEmbedElement_H___INT_*/
